<kendo-grid [data]="gridData" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="false"
    (dataStateChange)="dataStateChange($event)" [filterable]="true" [filter]="state.filter" [groupable]="false"
    [reorderable]="reorder" [sort]="sort" [selectable]="{
                enabled: billingPage,
                checkboxOnly: true,
                mode: 'multiple'
            }" (sortChange)="sortChange($event)" (groupChange)="groupChange($event)" [sortable]="{
allowUnsort: allowUnsort,
mode: multiple ? 'multiple' : 'single'
}">

    <kendo-grid-checkbox-column *ngIf="billingPage" [showSelectAll]="true" [width]="30"></kendo-grid-checkbox-column>

    <kendo-grid-column [width]="50">
        <ng-template kendoGridCellTemplate let-dataItem>
            <div style="text-align: center; cursor: pointer;">
                <mat-icon style="color:gray" class="cellToolTip" matTooltip={{dataItem.notes}}>info</mat-icon>
            </div>
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-column [width]="120" field="invoiceDate" title="Invoice Date">
        <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.invoiceDate | date: 'MM/dd/yyyy'}}
        </ng-template>
    </kendo-grid-column>
    <!-- <kendo-grid-column *ngIf="billingPage" [width]="120" field="billingDate" title="Invoice Date">
        <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.billingDate | date: 'MM/dd/yyyy'}}
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-column *ngIf="!billingPage" [width]="120" field="invoiceDate" title="Invoice Date">
        <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.invoiceDate | date: 'MM/dd/yyyy'}}
        </ng-template>
    </kendo-grid-column> -->

    <kendo-grid-column [width]="120" field="invoiceNo" title="Invoice No">
        <ng-template kendoGridCellTemplate let-dataItem>
            <div *ngIf="!dataItem.isVoid">
                <div *ngIf="dataItem.locked">
                    <a class="invoice-link" (click)="onClickEditInvoice(dataItem.id)">{{dataItem.invoiceNo}}</a>
                    <mat-icon style="font-size: 14px;margin: 0px;">lock</mat-icon>
                </div>
                <div *ngIf="!dataItem.locked">
                    <a class="invoice-link" (click)="onClickEditInvoice(dataItem.id)">{{dataItem.invoiceNo}}</a>
                </div>
            </div>
            <div *ngIf="dataItem.isVoid">
                <div *ngIf="dataItem.locked">
                    <span>{{dataItem.invoiceNo}}</span>
                    <mat-icon style="font-size: 14px;margin: 0px;">lock</mat-icon>
                </div>
                <div *ngIf="!dataItem.locked">
                    <span>{{dataItem.invoiceNo}}</span>
                </div>
            </div>
        </ng-template>
    </kendo-grid-column>

    <kendo-grid-column *ngIf="billingPage" field="patientName" title="Patient Name" [width]="120"></kendo-grid-column>

    <kendo-grid-column field="payer" title="Bill To" [width]="120"></kendo-grid-column>
    <kendo-grid-column format="d" field="appointmentDate" title="Appt Date & Time" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.appointmentDate | date: 'MM/dd/yyyy'}}
        </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="caseName" title="Case" [width]="120"></kendo-grid-column>

    <!-- <kendo-grid-column *ngIf="billingPage" field="practitioner" title="Practitioner" [width]="120"></kendo-grid-column> -->
    <kendo-grid-column field="practitionerName" title="Practitioner" [width]="120">
    </kendo-grid-column>

    <kendo-grid-column field="payerName" title="Payer" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.payerName">{{dataItem.payerName}}</span>
            <span *ngIf="!dataItem.payerName">Self</span>
        </ng-template>
    </kendo-grid-column>

    <!-- <kendo-grid-column *ngIf="billingPage" field="offerings" title="Offerings" [width]="120"></kendo-grid-column> -->
    <kendo-grid-column field="offeringName" title="Offerings" [width]="120"></kendo-grid-column>

    <kendo-grid-column format="{0:c}" field="amount" title="Total" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
            <span [class]="dataItem.status == TYPE_CREDIT ? 'text-green' : 'text-red'">
                $ {{dataItem.status != TYPE_CREDIT ? '-' : ''}} {{dataItem.totalAmount}}
            </span>
        </ng-template>
    </kendo-grid-column>

    <kendo-grid-column field="statusAsText" title="Paid" [width]="120"></kendo-grid-column>

    <kendo-grid-column field="due" title="Due" [width]="120"></kendo-grid-column>

    <kendo-grid-column field="balance" title="Balance" [width]="120"></kendo-grid-column>

    <kendo-grid-column field="statusAsText" title="Status" [width]="120"></kendo-grid-column>

    <kendo-grid-column field="referralName" title="Referral" [width]="120"></kendo-grid-column>

    <kendo-grid-column title="Action" [width]="80">
        <ng-template kendoGridCellTemplate let-dataItems let-rowIndex="rowIndex">
            <button [disabled]="dataItems.isVoid" (click)="openActionPopup(dataItems, $event)"
                class="item-setting-btn border-0 bg-transparent cursor-pointer"
                id="action_{{dataItems.appointmentsId}}">
                <mat-icon class="m-0" style="color: #979797;">settings</mat-icon>
            </button>
        </ng-template>
    </kendo-grid-column>
</kendo-grid>


<dx-popover #creditActionPopup class="grid-action-popup" style="padding: 0px !important;" position="top" [width]="180"
    [height]="'auto'" [shading]="false" [position]="{my: 'right top', at: 'right bottom'}">
    <div *dxTemplate="let data of 'content'">
        <span>{{data}}</span>
        <button class="grid-action-popup-button text-left" (click)="doAction(PREVIEW)">
            <mat-icon>visibility</mat-icon>
            PREVIEW
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(REFUND)">
            <mat-icon>attach_money</mat-icon>
            REFUND
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(EMAIL)">
            <mat-icon>email</mat-icon>
            EMAIL
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(PRINT)">
            <mat-icon>print</mat-icon>
            PRINT
        </button>
        <button class="grid-action-popup-button text-left" (click)="doAction(EXPORT)">
            <mat-icon>input</mat-icon>
            EXPORT
        </button>
        <button *ngIf="!invoiceActionItem.locked" class="grid-action-popup-button text-left" (click)="doAction(LOCK)">
            <mat-icon>lock</mat-icon>
            LOCK
        </button>
        <button *ngIf="invoiceActionItem.locked" class="grid-action-popup-button text-left" (click)="doAction(UNLOCK)">
            <mat-icon>lock_open</mat-icon>
            UNLOCK
        </button>
        <button mat-button class="grid-action-popup-button text-left" (click)="doAction(LOG)">
            <mat-icon>history</mat-icon>
            LOG
        </button>
    </div>
</dx-popover>